summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /games-puzzle/gemdropx
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'games-puzzle/gemdropx')
-rw-r--r--games-puzzle/gemdropx/Manifest1
-rw-r--r--games-puzzle/gemdropx/gemdropx-0.9-r1.ebuild44
-rw-r--r--games-puzzle/gemdropx/metadata.xml5
3 files changed, 50 insertions, 0 deletions
diff --git a/games-puzzle/gemdropx/Manifest b/games-puzzle/gemdropx/Manifest
new file mode 100644
index 00000000000..dd5beb99ef6
--- /dev/null
+++ b/games-puzzle/gemdropx/Manifest
@@ -0,0 +1 @@
+DIST gemdropx-0.9.tar.gz 903036 SHA256 e50495d292a1d456c28044efbf07c16d8865f8d95e1caba86f4c5b2e3fb1d28f SHA512 f99292f44575cb86c50e29f220d5fd358b3e6dd379148dcd764eac5bca5edcc49f88e119f9bebddb14017403985378f1bc07633c987556a9264f36ce20cc6fb2 WHIRLPOOL 05d0ce2cecbcbdac76dd4f60637ef875f647ec6387f0cac19ad4c099d396e019dda269ce344185ed1963f69eb08a3555050a287c01abe180d8b9b5386a0e86c7
diff --git a/games-puzzle/gemdropx/gemdropx-0.9-r1.ebuild b/games-puzzle/gemdropx/gemdropx-0.9-r1.ebuild
new file mode 100644
index 00000000000..5758c2d3e6a
--- /dev/null
+++ b/games-puzzle/gemdropx/gemdropx-0.9-r1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit games
+
+DESCRIPTION="A puzzle game where it's your job to clear the screen of gems"
+HOMEPAGE="http://www.newbreedsoftware.com/gemdropx/"
+SRC_URI="ftp://ftp.sonic.net/pub/users/nbs/unix/x/gemdropx/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ppc x86"
+IUSE=""
+
+DEPEND=">=media-libs/libsdl-1.2.3-r1[joystick,video]
+ >=media-libs/sdl-mixer-1.2.1[mod]"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ sed -i \
+ -e '/^CC/d' \
+ -e '/^CXX/d' \
+ -e 's/CXX/CC/' \
+ -e 's/-o/$(LDFLAGS) -o/' \
+ Makefile || die
+
+ find data/ -type d -name .xvpics -exec rm -rf \{\} +
+}
+
+src_compile() {
+ emake \
+ DATA_PREFIX="${GAMES_DATADIR}/${PN}" \
+ XTRA_FLAGS="${CFLAGS}"
+}
+
+src_install() {
+ dogamesbin gemdropx
+ dodir "${GAMES_DATADIR}/${PN}"
+ cp -r data/* "${D}/${GAMES_DATADIR}/${PN}/" || die
+ dodoc AUTHORS.txt CHANGES.txt ICON.txt README.txt TODO.txt
+ prepgamesdirs
+}
diff --git a/games-puzzle/gemdropx/metadata.xml b/games-puzzle/gemdropx/metadata.xml
new file mode 100644
index 00000000000..d3c2cc926f0
--- /dev/null
+++ b/games-puzzle/gemdropx/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>games</herd>
+</pkgmetadata>